Album: SLEEPING IN
Style: single
Artists:
- UNBEATABLE
Date: February 25, 2025
Date Added: April 13, 2025
URLs:
- https://dcellgames.bandcamp.com/album/sleeping-in
- https://www.youtube.com/watch?v=6yA6GlA1xxw
Cover Artists:
- Andrew Tsai
Cover Art File Extension: png
Color: '#f2f4f0'
Groups:
- rj lake
- Beyond
---
Section: Main track
---
Track: SLEEPING IN
Directory: sleeping-in-single
Main Release: ALBUM.
Duration: 2:40
Commentary: |-
    <i>D-CELL GAMES:</i> ([Bandcamp album about blurb](https://dcellgames.bandcamp.com/album/unbeatable-demo-tapes))

    you can't remember the version of you from ten seconds ago but it made a promise you need to keep
---
Section: Bonus track
---
Track: SLEEPING IN INSTRUMENTAL
Contributors:
- Rachel Lake (composition, vocals)
- rj lake (composition, mixing, mastering)
- Clara Maddux (composition, arrangement, guitars, drums, mixing)
Duration: 2:40
# no URL, hidden bonus track on Bandcamp
Referenced Tracks:
- SLEEPING IN
